org.apache.cxf.service.model

## Class FaultInfo

- java.lang.Object
- - org.apache.cxf.service.model.AbstractPropertiesHolder
  - - org.apache.cxf.service.model.AbstractMessageContainer
    - - org.apache.cxf.service.model.FaultInfo

- All Implemented Interfaces:
    Extensible, NamedItem

      public class FaultInfo
      extends AbstractMessageContainer

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.service.model.AbstractMessageContainer

      `mName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultInfo(QName fname, QName mname, OperationInfo info)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `QName` | `getFaultName()`
    `int` | `hashCode()`
    `void` | `setFaultName(QName fname)`

    - ### Methods inherited from class org.apache.cxf.service.model.AbstractMessageContainer

      `addMessagePart, addMessagePart, addMessagePart, addOutOfBandMessagePart, getFirstMessagePart, getMessageDocumentation, getMessagePart, getMessagePart, getMessagePartByIndex, getMessagePartIndex, getMessagePartQName, getMessageParts, getMessagePartsNumber, getName, getOperation, getOutOfBandParts, removeMessagePart, setMessageDocumentation, size`

    - ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

      `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultInfo

          public FaultInfo(QName fname,
                           QName mname,
                           OperationInfo info)

  - ### Method Detail

    - #### getFaultName

          public QName getFaultName()

    - #### setFaultName

          public void setFaultName(QName fname)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractMessageContainer`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AbstractMessageContainer`

Apache CXF